package example;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.persistence.*;

import java.io.*;

public class LoginServlet extends BaseServlet {

    public void service ( HttpServletRequest req , HttpServletResponse resp) 
        throws ServletException, IOException {

        EntityManager em = createEntityManager(req);
        try {
            resp.setContentType("text/html");
            PrintWriter out = resp.getWriter();
            out.println("<HTML> <HEAD> <TITLE> Login Successful " +
                        "</TITLE> </HEAD> <BODY BGCOLOR=white>");

            String name = req.getParameter("name");
            String password = req.getParameter("password");
        
            // Do a db look up in UserCredential table with the name as the PK
            UserCredential credential = em.find(UserCredential.class, name);
    
            // em.find returns null if not found, hence null check.
            if (credential != null && credential.isMatchingPassword(password)) {
                out.println("Welcome " + name);
            } else {
                out.println("Incorrect user name or password.");
            }
    
            out.println("</BODY> </HTML> ");
        } finally {
            // we must close em so that provider can release resources.
            closeEntityManager(req);
        }
    }

    public void  init( ServletConfig config) throws ServletException {
        super.init(config);
    }
    
}
